{inputs, pkgs, lib, ...}: {  
  services.displayManager = {
    #defaultSession = "hyprland";
    sddm = {
      enable = true;
      wayland.enable = true;
      theme = "sddm-astronaut-theme";
      package = lib.mkDefault pkgs.kdePackages.sddm;
      extraPackages = [pkgs.sddm-astronaut pkgs.kdePackages.qtvirtualkeyboard];
    };
  };

  services.gvfs.enable = true;
  services.udisks2.enable = true;

  environment.systemPackages = with pkgs; [
    (sddm-astronaut.override {
      themeConfig = {
        ScreenWidth = 2560;
        ScreenHeight = 1440;
        PartialBlur = false;
      };
    })
  ];
}
